petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESSetComputeApplicationContext

Sets an optional function to compute a user-defined context for the nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetComputeApplicationContext(SNES snes,PetscErrorCode (*compute)(SNES,void**),PetscErrorCode (*destroy)(void**))

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| compute | - function to compute the context
| destroy | - function to destroy the context

### Notes

This function is currently not available from Fortran.

### Keywords

SNES, nonlinear, set, application, context

### See Also

SNESGetApplicationContext(), SNESSetComputeApplicationContext(), SNESGetApplicationContext()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex58.c.html